local AL = LibStub("AceLocale-3.0")
if not AL then return end

--[==[@non-debug@
local L = AL:NewLocale("RW2-Base", "enUS", true, true)
--@end-non-debug@]==]
--@debu@
local L = AL:NewLocale("RW2-Base", "enUS", true)
--@end-debug@

if L then
	L.CORE_ENABLED = "Enabled: v%s (r%s) %s"

	L.BOSS_ENGAGE 	= "Engaged %s."
	L.BOSS_WIN		= "%s defeated after %s."
	L.BOSS_WIPE		= "Wiped against %s after %s, %.1f%%"	
	
	L.COMBATTIME_SEC	= "%d \1244second:seconds;"
	L.COMBATTIME_MIN	= "%d \1244minute:minutes;"
	L.COMBATTIME		= "%d \1244minute:minutes; and %d \1244second:seconds;"
	
	L.NORMAL = "Normal"
	L.HARD = "Heroic"
	
	L.UNKNOWN = "unknown"
	L.DEAD	= "Dead"
	
	L.TOP = "Top"
	L.BOTTOM = "Bottom"
	L.LEFT = "Left"
	L.RIGHT = "Right"
	
	L.NONE = "None"
	L.OUTLINE = "Outline"
	L.THICK_OUTLINE = "Thick Outline"
	L.MONOCHROME = "Monochrome"
end

--[==[@non-debug@
local L = AL:NewLocale("RW2-Plugin-Base", "enUS", true, true)
--@end-non-debug@]==]
--@debu@
local L = AL:NewLocale("RW2-Plugin-Base", "enUS", true)
--@end-debug@
if L then
	L.GROW_UP = "Grow upwards"
	L.GROW_UP_DESC = "Toggle growing upwards or downwards."
	
	L.CHARACTER = "Character"
	L.ENABLED = "Enabled"
	L.PLUGINS = "Plugins"
	L.ALERT_PLUGINS = "Alert Plugins"
	L.BOSS_PLUGINS = "Boss Plugins"
	L.MISC = "Misc"
	L.COLORS = "Colors"
	L.HIDE_ALL = "Hide All"
	L.POSITION = "Position"
	L.RESET = "Reset"
	L.DURATION = "Duration"
	L.TEST = "Test"
	L.TEXTURE = "Texture"
	L.COLOR = "Color"
	L.DEFAULT_COLOR = "Default Color"
	L.PLAY_SOUND = "Play Sound"
	L.DEFAULT_SOUND = "Default sound"
	L.SHOW = "Show"
	L.HIDE = "Hide"
	L.FLASH = "Flash"
	L.SOUND = "Sound"
	L.PHASE_SWITCH = "Phase Switch"
	L.DELETE = "Delete"
	L.RENAME = "Rename"
	L.APPEARANCE = "Appearance"
	L.LAYOUT = "Layout"
	L.CLOSE = "Close"
	L.CONFIGURE = "Configure"
	L.PARTY = "Party"
	L.RAID_ICON = "Raid Icon"
	L.CLASS = "Class"
	L.SPACING = "Spacing"
	L.INSET = "Inset"
	L.LOAD = "Load"
	L.NAME = "Name"
	L.ALPHA = "Alpha"
	L.REFRESH = "Refresh"
	
	L.raid = "Raid"
	L.party = "Party"
	L.battleground = "Battleground"
	
	L.NEWS = "News"
	
	L.BOSS_MODS = "Boss Mods"
	
	L.LEFT = "Left"
	L.RIGHT = "Right"
	L.UP = "Up"
	L.DOWN = "Down"
	
	L.CENTER_HOR = "Center Horizontally"
	L.CENTER_VERT = "Center Vertically"
	
	L.SIZE = "Size"
	L.WIDTH	= "Width"
	L.HEIGHT = "Height"
	
	L.FONT_MAIN = "Font settings"
	L.FONT = "Font"
	L.FONT_SIZE = "Font size"
	L.FONT_COLOR = "Font color"
	L.FONT_OUTLINE = "Font outline"
	L.FONT_OUTLINE_DESC = "The type out outlining of the fonts"
	
	L.TEXTURE_MAIN = "Texture settings"
	L.BORDER = "Border"
	L.BORDER_COLOR = "Border color"
	L.BORDER_TEXTURE = "Border texture"
	L.BORDER_SIZE = "Border size"
	L.BAR_TEXTURE = "Bar texture"
	L.BAR_COLOR = "Bar color"
	L.BACKGROUND_COLOR = "Background Color"
	
	L.ALERT_PLUGINS_DESC = "Under this category you will find all plugins that are used to warn or give you information during bossfights and their settingss"
	L.MISC_PLUGINS_DESC = "Miscellaneous plugins."
	L.BOSS_PLUGINS_DESC = "Plugins to be used in some boss encounters"	
	
	L.BERSKER_OPTION = "Berserk (%s)"
	
	L.BAR = "Timer"
	L.MESSAGE = "Message"
	L.WARNING = "Warning"
	L.ICON = "Icon"
	L.RANGE = "Range"
	L.DIRECTION = "Direction"
	
	L.BAR_DESC = "A selection of different timer bars\navailable for the selected option"
	L.WARNING_DESC = "A selection of warnings available\nfor the selected option"
	L.MESSAGE_DESC = "A selection of messages available\nfor the selected option"
	L.ICON_DESC = "Enable/Disable icons used for this event"
	L.DIRECTION_DESC = "Handy arrows showing you the direction of things"
	
	L.BAR_CD = "Cooldown"
	L.BAR_DUR = "Duration"
	L.BAR_CAST = "Cast"
	L.BAR_NORMAL = "General bar"
	L.BAR_DUR_TARGET = "Duration on target"
	L.BAR_DUR_TARGET_STACK = "Duration on target with stack count"
	L.BAR_DUR_STACK = "Duration with stack count"
	L.BAR_BERSERK = "Berserk timer"
	
	L.BAR_CD_DESC 				= "Show the cooldown bar for |cff98F5FF%s|r"
	L.BAR_DUR_DESC 				= "Show a bar with the duration of |cff98F5FF%s|r"
	L.BAR_CAST_DESC 			= "Show the cast bar for |cff98F5FF%s|r"
	L.BAR_NORMAL_DESC 			= "Show a general timer bar"
	L.BAR_DUR_TARGET_DESC 		= "Show a bar with the name\nof the target of |cff98F5FF%s|r"
	L.BAR_DUR_TARGET_STACK_DESC = "Show a bar with the name of the\ntarget of \n|cff98F5FF%s|r including number of stacks"
	L.BAR_DUR_STACK_DESC 		= "Show a bar that shows the\nstack count of |cff98F5FF%s|r"
	L.BAR_BERSERK_DESC			= "Show a timer for Berserk"
	
	L.FORMAT_BAR_CD 			= "%s (CD)"
	L.FORMAT_BAR_DUR 			= "%s (D)"
	L.FORMAT_BAR_CAST 			= "%s"
	L.FORMAT_BAR_NORMAL 		= "%s"
	L.FORMAT_BAR_DUR_TARGET 	= "%s: >%s<"
	L.FORMAT_BAR_DUR_TARGET_STACK = "%s: >%s< x %d"
	L.FORMAT_BAR_DUR_STACK		= "%s x %d"
	L.FORMAT_BAR_BERSERK 		= "Berserk"
	
	L.MESSAGE_NORMAL 		= "General message"
	L.MESSAGE_CAST			= "Cast message" 
	L.MESSAGE_TARGET 		= "Target message"
	L.MESSAGE_STACK			= "Stack message"
	L.MESSAGE_TARGET_STACK 	= "Target stack message"
	L.MESSAGE_PHASE 		= "Phase message"
	L.MESSAGE_SOON			= "Soon message"
	
	L.MESSAGE_NORMAL_DESC 		= "Show a general message"
	L.MESSAGE_CAST_DESC			= "Show a message when |cff98F5FF%s|r is cast" 
	L.MESSAGE_TARGET_DESC 		= "Show a message when someone is target of |cff98F5FF%s|r"
	L.MESSAGE_STACK_DESC		= "Show a message with information about number of stacks"
	L.MESSAGE_TARGET_STACK_DESC = "Show a message when someone is target of\n|cff98F5FF%s|r and how many stacks"
	L.MESSAGE_PHASE_DESC 		= "Show a message when entering a new phase"
	L.MESSAGE_SOON_DESC			= "Show a message when the event is about to happen"
	
	L.FORMAT_MESSAGE_NORMAL			= "%s"
	L.FORMAT_MESSAGE_CAST 			= "Casting: <%s>"
	L.FORMAT_MESSAGE_TARGET 		= "%s: >%s<"
	L.FORMAT_MESSAGE_STACK			= "%s x %d"
	L.FORMAT_MESSAGE_TARGET_STACK 	= "%s: >%s< x %d"
	L.FORMAT_MESSAGE_PHASE 			= "Phase: %d"
	L.FORMAT_MESSAGE_SOON			= "%s in %s!"
	
	L.WARNING_NORMAL	= "General warning"
	L.WARNING_INFO		= "Personal warning"
	L.WARNING_CAST		= "Spell casting warning"
	L.WARNING_RUNAWAY   = "Runaway warning"
	L.WARNING_ONYOU		= "On You warning"
	
	L.WARNING_NORMAL_DESC 	= "Show a warning for the selected option"
	L.WARNING_CAST_DESC		= "Show a warning when |cff98F5FF%s|r is casted"
	L.WARNING_RUNAWAY_DESC 	= "Show a warning when you need\nto run away due to |cff98F5FF%s|r"
	L.WARNING_ONYOU_DESC	= "Show a warning when you are the target of something"
	
	L.FORMAT_WARNING_NORMAL 	= "%s"
	L.FORMAT_WARNING_INFO		= "%s"
	L.FORMAT_WARNING_CAST		= "Casting: %s"
	L.FORMAT_WARNING_RUNAWAY 	= "Run: %s"
	L.FORMAT_WARNING_ONYOU		= "%s on you!"
	
	L.DIRECTION_TO 		= "Direction to target"
	L.DIRECTION_FROM 	= "Direction away from target"
	
	L.DIRECTION_TO_DESC		= "Shows a direction helper towards the target"
	L.DIRECTION_FROM_DESC 	= "Shows a direction helper away from the target"
	
	L.FORMAT_DIRECTION_TO	= "%s"
	L.FORMAT_DIRECTION_FROM = "%s"
	
	-- Range stuff
	L.RANGE_CHECK_OPTION = "Range check for %s (%dy)"
end




